{% comment %}
Copyright 2017 Mattia Basaglia

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
{% endcomment %}
{% comment %}
Renders the formset order attribute

Context variables:
    * form      The form object from the formset
    * parent_id The id of the element to be transposed
    * move_by   (Optional) number of steps to move the parent by
    * min_index (optional) Minimum allowed index
    * max_index (optional) Maximum allowed index

{% endcomment %}
<input type="hidden" name="{{ form.ORDER.html_name }}"
    value="{{ form.ORDER.value }}"
    data-order-from="{{ parent_id }}" />
<button type="button" data-type="move" data-target="{{ parent_id }}"
    data-direction="-{{ move_by|default:1 }}"
    {% if min_index is not None %}data-min="{{ min_index }}"{% endif %}
    >Up</button>
<button type="button" data-type="move" data-target="{{ parent_id }}"
    data-direction="+{{ move_by|default:1 }}"
    {% if max_index is not None %}data-max="{{ max_index }}"{% endif %}
    >Down</button>
